Bug 250967 - Display brightness adjusts itself after resuming from suspend state
Display brightness adjusts itself after resuming from suspend state
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 04:37 EDT by Lassi Pölönen
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lassi Pölönen 2007-08-06 04:37:53 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Suspend laptop
2. Resume from suspend
  
Actual results:
Display brightens slowly to maximum by itself

Expected results:
Display brightness should stay still

Additional info:
Happens only after resuming from suspend. Does not happen after resuming from
hibernate. Restarting X server helps.

lspci:

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)


gnome-power-bugreport.sh:

Distro version:       Fedora release 7 (Moonshine)
Kernel version:       2.6.22.1-41.fc7
HAL version:          0.5.9
System manufacturer:  Dell Inc.
System version:       missing
System product:       Latitude D410
AC adapter present:   yes
Battery present:      yes
Laptop panel present: yes
CPU scaling present:  yes
Battery Information:
  battery.alarm.design = 480  (0x1e0)  (int)
  battery.alarm.unit = 'mAh'  (string)
  battery.charge_level.capacity_state = 'ok'  (string)
  battery.charge_level.current = 29892  (0x74c4)  (int)
  battery.charge_level.design = 53280  (0xd020)  (int)
  battery.charge_level.granularity_1 = 532  (0x214)  (int)
  battery.charge_level.granularity_2 = 532  (0x214)  (int)
  battery.charge_level.last_full = 34798  (0x87ee)  (int)
  battery.charge_level.low = 1609  (0x649)  (int)
  battery.charge_level.percentage = 85  (0x55)  (int)
  battery.charge_level.rate = 12842  (0x322a)  (int)
  battery.charge_level.unit = 'mWh'  (string)
  battery.charge_level.warning = 5328  (0x14d0)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = 'DELL X53086'  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = true  (bool)
  battery.rechargeable.is_discharging = false  (bool)
  battery.remaining_time = 1375  (0x55f)  (int)
  battery.reporting.current = 2693  (0xa85)  (int)
  battery.reporting.design = 4800  (0x12c0)  (int)
  battery.reporting.granularity_1 = 48  (0x30)  (int)
  battery.reporting.granularity_2 = 48  (0x30)  (int)
  battery.reporting.last_full = 3135  (0xc3f)  (int)
  battery.reporting.low = 145  (0x91)  (int)
  battery.reporting.rate = 1157  (0x485)  (int)
  battery.reporting.technology = 'LION'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.reporting.warning = 480  (0x1e0)  (int)
  battery.serial = '10516'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'Sony'  (string)
  battery.voltage.current = 12846  (0x322e)  (int)
  battery.voltage.design = 11100  (0x2b5c)  (int)
  battery.voltage.unit = 'mV'  (string)
  battery.present = false  (bool)
  battery.type = 'primary'  (string)
Comment 1 Christopher Ness 2007-09-03 23:15:09 EDT
Hello, 
I have a similar issue on my Dell Latitude X1 which uses the same graphics card.
 I am not seeing this gradual increase of back light, it seems to simply awake
at max brightness.

A work around is described in this bug comment:
https://bugzilla.redhat.com/show_bug.cgi?id=246435#c3

It involves going to the VT1 terminal and then coming back to the X server.  I
do not have to toggle the CTR/LCD function in order for this to work.  If I do
not toggle the CTR/LCD sometimes I return to an "off" back light in the X
server.  The back light function keys are enabled at this point though, increase
the brightness to turn on the back light.

I don't completely understand it, and I don't know where to look in GPM but it
is an annoying little bug I'd like to track down and have fixed.

Cheers,
Chris
Comment 2 Bug Zapper 2008-05-14 09:53:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:06:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.